echo off
cls
echo            -----------------------------------------------
echo                     L E A R N   B A S I C   N O W
echo ÿ
echo             Microsoft QuickBASIC Interpreter Installation
echo            -----------------------------------------------
echo ÿ
echo This batch file installs the Microsoft QuickBASIC Interpreter and the
echo Learn BASIC Now example programs on your hard disk in the C:\QBI
echo directory.  For information about getting started with the Microsoft
echo QuickBASIC Interpreter and the Microsoft QuickBASIC Express tutorial,
echo read Chapters 1 and 2.
echo ÿ
echo ---------------------------------------------------------------------
echo If you do not want to install the Learn BASIC Now disks at this time,
echo hold down the Ctrl key and press the Break key to quit.  Otherwise,
pause
echo Disk 1 is being copied to C:\QBI; please wait.
echo ÿ
copy a:\*.exe c:\qbi
copy a:\*.hlp c:\qbi
copy a:\*.bas c:\qbi
echo ÿ
echo ---------------------------------------------------------------------
echo Remove Disk 1.  Insert Disk 2 in drive A and then
pause
echo Disk 2 is being copied to C:\QBI; please wait.
echo ÿ
copy a:\*.* c:\qbi
for %%p in (05 06 07 08 09 10 11 12) do md c:\qbi\chap%%p > nul
for %%p in (05 06 07 08 09 10 11 12) do copy a:\chap%%p c:\qbi\chap%%p
md c:\qbi\appndx-d > nul
copy a:\appndx-d\*.* c:\qbi\appndx-d
echo ÿ
echo ---------------------------------------------------------------------
echo Remove Disk 2.  Insert Disk 3 in drive A and then
pause
echo Disk 3 is being copied to C:\QBI; please wait.
echo ÿ
copy a:\*.* c:\qbi
md c:\qbi\advr_ex > nul
copy a:\advr_ex\*.* c:\qbi\advr_ex
c:
cd \qbi
echo ÿ
echo ---------------------------------------------------------------------
echo Installation is complete!  Remove Disk 3 and store all three disks in
echo a safe place.
echo ÿ
echo To start the Microsoft QuickBASIC Express tutorial, type "learn" and
echo press Enter.  To start the Microsoft QuickBASIC Interpreter, type
echo "qbi" and press Enter.
del inst.bat

